## libdrpm 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.5)

project(drpm C)

set(DRPM_MAJOR_VERSION 0)
set(DRPM_MINOR_VERSION 5)
set(DRPM_PATCH_VERSION 0)
set(DRPM_VERSION ${DRPM_MAJOR_VERSION}.${DRPM_MINOR_VERSION}.${DRPM_PATCH_VERSION})

include(GNUInstallDirs)

option(ENABLE_TESTS "Build and run tests?" ON)
option(WITH_ZSTD "Build with zstd support" ON)

find_package(PkgConfig REQUIRED)

find_package(ZLIB REQUIRED)
find_package(BZip2 REQUIRED)
find_package(LibLZMA REQUIRED)

pkg_check_modules(RPM rpm REQUIRED)
pkg_check_modules(LIBCRYPTO libcrypto REQUIRED)
if(WITH_ZSTD)
   pkg_check_modules(ZSTD REQUIRED libzstd)
endif()

if (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_C_COMPILER_ID MATCHES "Clang") OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
   include (CheckCCompilerFlag)
   CHECK_C_COMPILER_FLAG(-fvisibility=hidden DRPM_HAVE_VISIBILITY)
   if (DRPM_HAVE_VISIBILITY)
      set(VISIBILITY_FLAG -fvisibility=hidden)
   endif()
   set(CMAKE_C_FLAGS "${VISIBILITY_FLAG} ${CMAKE_C_FLAGS}" )
endif ()

add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --output-on-failure)

set(CPACK_PACKAGE_NAME ${CMAKE_PROJECT_NAME})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "A small library for fetching information from deltarpm packages")
set(CPACK_PACKAGE_CONTACT "Matej Chalk <mchalk@redhat.com>")
set(CPACK_PACKAGE_VERSION_MAJOR ${DRPM_MAJOR_VERSION})
set(CPACK_PACKAGE_VERSION_MINOR ${DRPM_MINOR_VERSION})
set(CPACK_PACKAGE_VERSION_PATCH ${DRPM_PATCH_VERSION})
set(CPACK_SOURCE_IGNORE_FILES "/tmp/" "/build/" "/pkg/" "/html/" "/latex/" "drpm.spec" "\\\\.git" ".*~" ".*\\\\.o")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")

include(CPack)

set(DRPM_SOURCES drpm.c drpm_apply.c drpm_block.c drpm_compstrm.c drpm_decompstrm.c drpm_deltarpm.c drpm_diff.c drpm_make.c drpm_options.c drpm_read.c drpm_rpm.c drpm_search.c drpm_utils.c drpm_write.c)
set(DRPM_LINK_LIBRARIES ${ZLIB_LIBRARIES} ${BZIP2_LIBRARIES} ${LIBLZMA_LIBRARIES} ${RPM_LIBRARIES} ${LIBCRYPTO_LIBRARIES})

if(HAVE_LZLIB_DEVEL)
   list(APPEND DRPM_LINK_LIBRARIES lz)
endif()

if(WITH_ZSTD)
   list(APPEND DRPM_LINK_LIBRARIES ${ZSTD_LIBRARIES})
endif()

add_subdirectory(src)
add_subdirectory(doc)

if(ENABLE_TESTS)
   pkg_check_modules(CMOCKA cmocka REQUIRED)
   enable_testing()
   add_subdirectory(test)
endif()

configure_file(drpm.pc.in ${CMAKE_CURRENT_BINARY_DIR}/drpm.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/drpm.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)

=== debian/changelog ===
libdrpm (0.5.0-3) unstable; urgency=medium

  * Add the upstream-do-not-cleanup-twice and upstream-zero-count
    patches obtained from the upstream Git repository.
  * Declare compliance with Policy 4.6.0 with no changes.
  * Add the year 2021 to my debian/* copyright notice.
  * Add the typos patch to fix two typographical errors.
  * Add a trivial git-buildpackage config file.
  * Use debhelper compat 14 for the CMake updates.
  * Add the cppcheck patch to fix a minor problem.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Dec 2021 05:19:16 +0200

libdrpm (0.5.0-2) unstable; urgency=medium

  * Add the sysmacros-major patch to use <sys/sysmacros.h> instead of
    a Linux-specific header file for obtaining the major and minor IDs of
    a device number. Should fix the FTBFS on the Hurd.

 -- Peter Pentchev <roam@debian.org>  Sun, 26 Jul 2020 00:18:15 +0300

libdrpm (0.5.0-1) unstable; urgency=low

  * Initial release. Closes: #961799.

 -- Peter Pentchev <roam@debian.org>  Thu, 18 Jun 2020 23:29:43 +0300

=== debian/control ===
Source: libdrpm
Section: libs
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders: Peter Pentchev <roam@debian.org>
Build-Depends:
 cmake,
 debhelper (>> 13.3.2~),
 libbz2-dev,
 libcmocka-dev,
 liblzma-dev,
 librpm-dev,
 libssl-dev,
 libzstd-dev,
 pkg-config,
 zlib1g-dev,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdrpm.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdrpm
Homepage: https://github.com/rpm-software-management/drpm
Rules-Requires-Root: no

Package: libdrpm0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling deltarpm packages
 The libdrpm package provides a library for making, reading and applying
 deltarpms, compatible with the original deltarpm packages.
 .
 This package contains the shared library.

Package: libdrpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdrpm0 (= ${binary:Version})
Description: library for handling deltarpm packages - development files
 The libdrpm package provides a library for making, reading and applying
 deltarpms, compatible with the original deltarpm packages.
 .
 This package contains the header files needed for development.

=== debian/tests/control ===
Test-Command: debian/tests/compile.py -s debian/tests/examine.c -t test
Depends: @, build-essential, pkg-config, python3
Features: test-name=debian-compile

## libdrpm 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(DRPM_MAJOR_VERSION 0)
 set(DRPM_MINOR_VERSION 5)
-set(DRPM_PATCH_VERSION 0)
+set(DRPM_PATCH_VERSION 1)
 set(DRPM_VERSION ${DRPM_MAJOR_VERSION}.${DRPM_MINOR_VERSION}.${DRPM_PATCH_VERSION})
 
 include(GNUInstallDirs)

=== src/CMakeLists.txt ===
set(DRPM_SOVERSION ${DRPM_MAJOR_VERSION})

set(CMAKE_BUILD_TYPE RelWithDebInfo)

if (NOT ${CMAKE_SIZEOF_VOID_P} EQUAL 8)
   set(ARCH_LESS_64BIT 1)
endif()

configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

add_library(drpm SHARED ${DRPM_SOURCES})

set_source_files_properties(${DRPM_SOURCES} PROPERTIES
   COMPILE_FLAGS "-std=c99 -pedantic -Wall -Wextra -DHAVE_CONFIG_H -I${CMAKE_BINARY_DIR}"
)

target_link_libraries(drpm ${DRPM_LINK_LIBRARIES})

set_target_properties(drpm PROPERTIES
   VERSION ${DRPM_VERSION}
   SOVERSION ${DRPM_SOVERSION}
)

install(TARGETS drpm LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
install(FILES drpm.h DESTINATION ${CMAKE_INSTALL_FULL_INCLUDEDIR})

=== test/CMakeLists.txt ===
set(DRPM_TEST_SOURCES drpm_api_tests.c)
foreach(sourcefile ${DRPM_SOURCES})
   list(APPEND DRPM_TEST_SOURCES "../src/${sourcefile}")
endforeach()

set(DRPM_TEST_FILES refdrpm-copy.sha256 refseqfile-copy.txt)
set(DRPM_TEST_RPM_PACKAGE_NAMES drpm cmocka)
foreach(name ${DRPM_TEST_RPM_PACKAGE_NAMES})
   list(APPEND DRPM_TEST_FILES "${name}-old.rpm" "${name}-new.rpm")
endforeach()

set(DRPM_TEST_ARGS_CMP_FILES -d ${CMAKE_CURRENT_BINARY_DIR})
set(DRPM_TEST_ARGS_VALGRIND --error-exitcode=1 --read-var-info=yes --leak-check=full --show-leak-kinds=all --track-origins=yes --suppressions=${CMAKE_CURRENT_SOURCE_DIR}/lzma.supp)

set(CMAKE_BUILD_TYPE RelWithDebInfo)

file(
   COPY ${DRPM_TEST_FILES}
   DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
)

find_program(BASH_PROGRAM bash)
find_program(MAKEDELTARPM_PROGRAM makedeltarpm)
find_program(VALGRIND_PROGRAM valgrind)

if (NOT MAKEDELTARPM_PROGRAM)
   list(APPEND DRPM_TEST_ARGS_CMP_FILES -s)
endif()
if (HAVE_LZLIB_DEVEL)
   list(APPEND DRPM_TEST_ARGS_CMP_FILES -l)
endif()

add_executable(drpm_api_tests ${DRPM_TEST_SOURCES})

set_source_files_properties(${DRPM_TEST_SOURCES} PROPERTIES
   COMPILE_FLAGS "-std=c99 -pedantic -Wall -Wextra -DHAVE_CONFIG_H -I${CMAKE_BINARY_DIR}"
)

target_link_libraries(drpm_api_tests ${DRPM_LINK_LIBRARIES} ${CMOCKA_LIBRARIES})

add_test(
   NAME drpm_api_tests
   WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
   COMMAND ./drpm_api_tests
)

if (BASH_PROGRAM)
   add_test(
      NAME drpm_cmp_files
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMAND ${BASH_PROGRAM} ${CMAKE_CURRENT_SOURCE_DIR}/drpm_cmp_files.sh ${DRPM_TEST_ARGS_CMP_FILES}
   )
   set_tests_properties(drpm_cmp_files PROPERTIES DEPENDS drpm_api_tests)
endif()


if (VALGRIND_PROGRAM)
   add_test(
      NAME drpm_memcheck
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMAND valgrind ${DRPM_TEST_ARGS_VALGRIND} ./drpm_api_tests
   )
endif()

=== debian/changelog ===
libdrpm (0.5.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * Add the year 2022 to my debian/* copyright notice
  * Minor Python coding style improvements to the autopkgtest program:
    - reformat with 100 characters per line
    - run some static checkers using Tox
    - pass encoding="UTF-8" to subprocess.check_output()
  * Add an EditorConfig definitions file for the debian/* files.
  * New upstream release:
    - drop all the patches, they were all merged upstream
  * Add the openssl-evp patch to use the OpenSSL EVP_Digest*() functions
    instead of the deprecated MD5_*() and SHA256_*() ones.

 -- Peter Pentchev <roam@debian.org>  Fri, 09 Sep 2022 09:08:12 +0300

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libzstd-dev,
  pkg-config,
  zlib1g-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdrpm.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdrpm
 Homepage: https://github.com/rpm-software-management/drpm

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

%:
	dh '$@'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## libdrpm 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(DRPM_MAJOR_VERSION 0)
 set(DRPM_MINOR_VERSION 5)
-set(DRPM_PATCH_VERSION 1)
+set(DRPM_PATCH_VERSION 2)
 set(DRPM_VERSION ${DRPM_MAJOR_VERSION}.${DRPM_MINOR_VERSION}.${DRPM_PATCH_VERSION})
 
 include(GNUInstallDirs)

=== doc/CMakeLists.txt ===
find_package(Doxygen)

if(DOXYGEN_FOUND)
   configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
   add_custom_target(doc
      ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMENT "Generating API documentation with Doxygen" VERBATIM
   )
endif()

=== debian/changelog ===
libdrpm (0.5.2-3) unstable; urgency=medium

  * Add the cmake-policy patch to unbreak the build with CMake 4.x.
    Closes: #1113141
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * Add Salsa CI configuration.

 -- Peter Pentchev <roam@debian.org>  Sun, 05 Oct 2025 21:43:18 +0300

libdrpm (0.5.2-2) unstable; urgency=medium

  * Acknowledge Andrey Rakhmatullin's NMU and Luca Boccassi's team upload;
    thanks!
  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2024 to my debian/* copyright notice.
  * Switch from debian/compat to X-DH-Compat: 14
  * Let debhelper handle some dependencies automatically.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF metadata.
  * Use debputy's X-Style: black.
  * Minor refactoring of the autopkgtest compile.py tool.

 -- Peter Pentchev <roam@debian.org>  Mon, 30 Dec 2024 02:09:18 +0200

libdrpm (0.5.2-1) unstable; urgency=medium

  Team upload.

  [ Peter Pentchev ]
  * Declare compliance with Policy 4.6.2 with no changes.

  [ Luca Boccassi ]
  * Bump Standards-Version to 4.7.0, no changes
  * Switch from pkg-config to pkgconf
  * New upstream version 0.5.2
  * Drop fix-implicit-function-declaration.patch, fixed upstream
  * Refresh patches for 0.5.2

 -- Luca Boccassi <bluca@debian.org>  Tue, 23 Apr 2024 01:24:08 +0100

libdrpm (0.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066556).

 -- Andrey Rakhmatullin <wrar@debian.org>  Sat, 16 Mar 2024 20:17:44 +0500

=== debian/control ===
Source: libdrpm
Section: libs
Priority: optional
Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
Uploaders:
 Peter Pentchev <roam@debian.org>,
Build-Depends:
 cmake,
 debhelper (>> 13.15.2~),
 dh-package-notes,
 dpkg-build-api (= 1),
 libbz2-dev,
 libcmocka-dev,
 liblzma-dev,
 librpm-dev,
 libssl-dev,
 libzstd-dev,
 pkgconf,
 zlib1g-dev,
Standards-Version: 4.7.2
X-DH-Compat: 14
Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdrpm.git
Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdrpm
Homepage: https://github.com/rpm-software-management/drpm
X-Style: black

Package: libdrpm0
Architecture: any
Multi-Arch: same
Description: library for handling deltarpm packages
 The libdrpm package provides a library for making, reading and applying
 deltarpms, compatible with the original deltarpm packages.
 .
 This package contains the shared library.

Package: libdrpm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libdrpm0 (= ${binary:Version}),
Description: library for handling deltarpm packages - development files
 The libdrpm package provides a library for making, reading and applying
 deltarpms, compatible with the original deltarpm packages.
 .
 This package contains the header files needed for development.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 DEB_BUILD_MAINT_OPTIONS=	hardening=+all
 export DEB_BUILD_MAINT_OPTIONS
 
+include /usr/share/dpkg/default.mk
+
+include /usr/share/debhelper/dh_package_notes/package-notes.mk
+
 %:
 	dh '$@'

=== debian/tests/control ===
Test-Command: debian/tests/compile.py -s debian/tests/examine.c -t test
Depends:
 build-essential,
 pkg-config,
 python3,
 @,
Features:
 test-name=debian-compile,

## libdrpm 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 3.5.0...3.10.0)
 
 project(drpm C)
 
 set(DRPM_MAJOR_VERSION 0)
 set(DRPM_MINOR_VERSION 5)
-set(DRPM_PATCH_VERSION 2)
+set(DRPM_PATCH_VERSION 3)
 set(DRPM_VERSION ${DRPM_MAJOR_VERSION}.${DRPM_MINOR_VERSION}.${DRPM_PATCH_VERSION})
 
 include(GNUInstallDirs)

=== debian/changelog ===
libdrpm (0.5.3-1) unstable; urgency=medium

  * Declare Standards-Version 4.7.3, drop the implied Priority: optional.
  * Add the year 2026 to my debian/* copyright notice.
  * Run `debputy reformat`.
  * Update the watch file to version 5 of the format.
  * Add a superficial `debputy reformat` autopkgtest.
  * New upstream release:
    - drop the cmake-policy patch, also done upstream

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Jan 2026 20:29:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libdrpm
 Section: libs
-Priority: optional
 Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
 Uploaders:
  Peter Pentchev <roam@debian.org>,
 Build-Depends:
- cmake,
  debhelper (>> 13.15.2~),
  dh-package-notes,
  dpkg-build-api (= 1),
+ cmake,
  libbz2-dev,
  libcmocka-dev,
  liblzma-dev,
@@ -17,7 +16,7 @@
  libzstd-dev,
  pkgconf,
  zlib1g-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 X-DH-Compat: 14
 Vcs-Git: https://salsa.debian.org/pkg-rpm-team/libdrpm.git
 Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/libdrpm

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,12 @@
  @,
 Features:
  test-name=debian-compile,
+
+Test-Command: debputy reformat --no-auto-fix --linter-exit-code
+Depends:
+ dh-debputy,
+ python3-lsprotocol,
+Features:
+ test-name=debian-debputy,
+Restrictions:
+ superficial,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: rpm-software-management
Project: drpm
